%global namedreltag -beta-10
%global namedversion %{version}%{?namedreltag}

Name:          dans-dbf-lib
Version:       1.0.0
Release:       0.1.beta.10%{?dist}
Summary:       Java library for reading and writing xBase database files
# Project moved in https://github.com/DANS-KNAW/dans-dbf-lib/ and changes license too (ASL 2.0)
# For now are not available new release
License:       GPLv3
URL:           http://dans-dbf-lib.sourceforge.net/
Source0:       http://downloads.sourceforge.net/dans-dbf-lib/%{name}-%{namedversion}-src.zip

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)

BuildArch:     noarch

%description
DANS DBF Library is a Java library for reading and
writing xBase database files. xBase is the name commonly
used for dBase and its dialects. The central file
in these databases is the DBF file or DataBase File,
hence the name of this library.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%pom_remove_plugin :jalopy-maven-plugin
# Unwanted
%pom_remove_plugin :maven-assembly-plugin

cp -p src/main/resources/COPYING .

%mvn_file nl.knaw.dans.common:%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license COPYING

%files javadoc -f .mfiles-javadoc
%license COPYING

%changelog
* Sat Jun 04 2016 gil cattaneo <puntogil@libero.it> 1.0.0-0.1.beta.10
- initial rpm
